org.apache.solr.hadoop

## Class TreeMergeOutputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>
    - - org.apache.solr.hadoop.TreeMergeOutputFormat

-     public class TreeMergeOutputFormat
      extends org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>

  See `IndexMergeTool`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `org.apache.hadoop.mapreduce.lib.output.FileOutputFormat.Counter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `BASE_OUTPUT_NAME, COMPRESS, COMPRESS_CODEC, COMPRESS_TYPE, OUTDIR, PART`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeMergeOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.mapreduce.RecordWriter` | `getRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeMergeOutputFormat

          public TreeMergeOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public org.apache.hadoop.mapreduce.RecordWriter getRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)
                                                                   throws IOException

      Specified by:
        `getRecordWriter` in class `org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.